Subject: [Solaris] Problem during patching for php-mysql
To: None <>
From: Frederic Touboul <>
List: pkgsrc-users
Date: 07/27/2006 15:57:13

I am currently trying to install the php-mysql package using pkgsrc on
Solaris 9, but it fails with the following error:

=> Checksum SHA1 OK for php-5.1.4/php-5.1.4.tar.bz2.
=> Checksum RMD160 OK for php-5.1.4/php-5.1.4.tar.bz2.
===> Patching for php5-mysql-5.1.4
cd /usr/pkgsrc/databases/php-mysql/work/php-5.1.4/ext/mysql;
          for p in `/usr/xpg4/bin/grep -E -l '^\+\+\+ ext/mysql/'
/usr/pkg/bin/nbsed -e 's,^+++ ext/mysql/,+++ ,' $p | /usr/bin/gpatch
-d /usr/pkgsrc/databases/php-mysql/work/php-5.1.4/ext/mysql --forward
--quiet -E -p0 -b -V simple -z .orig;  done
*** Error code 1

Did anyone encounter this problem before? Any idea on how to solve it?